# Class DatabricksRetryHandlerException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
com.databricks.jdbc.exception.DatabricksRetryHandlerException

All Implemented Interfaces:
  `Serializable`

public class DatabricksRetryHandlerException extends IOException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DatabricksRetryHandlerException(String message, int errCode)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getErrCode()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DatabricksRetryHandlerException

public DatabricksRetryHandlerException(String message, int errCode)

## Method Details

### getErrCode

public int getErrCode()